summaryrefslogtreecommitdiff
path: root/dev-python/botocore
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-03-27 18:42:30 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-03-27 18:42:30 +0000
commita1485f6471ac2567f76a7f33e032c9bef8a0e412 (patch)
tree8a031dc4a8eed843a1ac86145d605e8c694ba1a8 /dev-python/botocore
parent4387175f6b4a0d6a696cddfd00ad161d53fbc214 (diff)
downloadbaldeagleos-repo-a1485f6471ac2567f76a7f33e032c9bef8a0e412.tar.gz
baldeagleos-repo-a1485f6471ac2567f76a7f33e032c9bef8a0e412.tar.xz
baldeagleos-repo-a1485f6471ac2567f76a7f33e032c9bef8a0e412.zip
Adding metadata
Diffstat (limited to 'dev-python/botocore')
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.34.71.ebuild67
2 files changed, 68 insertions, 0 deletions
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 8f87ece35685..8351461fe7f0 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,3 +2,4 @@ DIST botocore-1.34.59.gh.tar.gz 12764223 BLAKE2B 13347793764afb8ef51502149f490e5
DIST botocore-1.34.64.gh.tar.gz 12774647 BLAKE2B a41493d400b0f4f406a144aa968f0111ef2fa4bd739e43c6db8dddf4b70cfe68c714ec16875b942078a4bf8b9bd3a2dc596ea403c6e7dec6b076dccac7167c4b SHA512 66b7abf68d560ef87c94fbcde2738d8ce2c5bbd265678fab80d04966cdf1559c1ea3401dbcc6ef8e3f183a45ea1c3d31def8f1ce2c39135a3c247e73a18082b3
DIST botocore-1.34.69.gh.tar.gz 12790282 BLAKE2B 3d12eb5eb8e85777b43b3774e783c907f05e50dfe93445920ee0f42a82857ba7a70c5641e3cbfc03ab05f81f7cd989ff79e332bf2ae192b9bf7b3b3cbe6e9c0e SHA512 b520c5d3c6ce2f1db3e8620e5f7c882ed8483928de1cb32d22eabe76262ed8658614a0b1db42ceff445f11b009c48ef9a5761490e5982154e14173750b9e2554
DIST botocore-1.34.70.gh.tar.gz 12794510 BLAKE2B 066c560474c32cf8f7fb0b3b1199ee34b57a97684643fdfe2d2c828dd4680dfe4d279fc480bc1b6fcd0694b51335ec167b380a0f9e30fb47f04a3cd045f27323 SHA512 1d3e61891a178ff3b2585e366c1741d8412e8fc2060e2b56fe35ab2c0872933a176bb8efdd18c428c59cbf017db809f9d74eb36c4a8cb9edf4d0bd2edc1ae026
+DIST botocore-1.34.71.gh.tar.gz 12795892 BLAKE2B 6047152353feb3321d4a5f7fa52baa0635ec1e25fb24c6b92f74615826c7955fd2f02a1b4ce274e6a0fca07233a3611da398364ef896547504b9dadadca6fa08 SHA512 13d8730b4018c63f42cf8ab4d885cee71b8d9126346aa6bfda9007380edf5bebe983b2e55c4c75c9e59d09a5c0dd9a22ffbabd94a11ccfc6ad920f962b729575
diff --git a/dev-python/botocore/botocore-1.34.71.ebuild b/dev-python/botocore/botocore-1.34.71.ebuild
new file mode 100644
index 000000000000..857224b496b7
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.71.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}